Viewing Issue Advanced Details Jump to Notes ] crimfght.cpp
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05973 Graphics Minor Always Jul 2, 2015, 19:53 Jul 29, 2015, 17:41
Tester haynor666 View Status Public Platform MAME (Official Binary)
Assigned To system11 Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved   Driver crimfght.cpp
Version 0.163 Fixed in Version 0.164 Build 64-bit
Summary 05973: crimfght and clones: Display area/resolution is too small
Description It seems that resolution of this game is little to small, probably should be 320x224. On movie
starting from 00:50 there is highscore table presented where enemies starting to appear from right to left. During this one enemy is always positioned on right side and partially visible, in mame it's not.

Other difference is final scene with girls. On movie the picture is little bit wider.

After I modified source in mame from 304x224 to 320x224 highscore looks like on movie.
Steps To Reproduce Just run game, get some score then die and enter highscore table or end game to see second proof.
Additional Information Related to MT3736 and MT5594
Flags Verified with Original
Regression Version
Affected Sets / Systems crimfght and clones
Attached Files
png file icon 0002.png (4,940 bytes)  Jul 2, 2015, 19:53 by haynor666
MAME
haynor666
png file icon 0040.png (5,673 bytes)  Jul 2, 2015, 19:55 by haynor666
MAME 320x224
haynor666

- Relationships
related to 05594Resolvedsystem11 blswhstl, detatwin: Visible area is too small 

-  Notes
User avatar
No.11810
NekoEd
(Senior Tester)
Jul 2, 2015, 23:21
Added relationship to 05594, don't see any relationship whatsoever to 03736, however.
User avatar
No.11811
haynor666
(Tester)
Jul 3, 2015, 06:03
My fault - it should be MT05593
User avatar
No.11812
Mamesick
(Senior Tester)
Jul 3, 2015, 07:16
The vast majority of Konami games with same video chip if set to 320x224 exhibits black borders. Try for example with Aliens, The Simpsons etc. Here instead we have gfx displayed. So I believe your findings are correct, even if in service mode the test grid fills a 304x224 area, with black borders.
User avatar
No.11829
system11
(Senior Tester)
Jul 4, 2015, 23:41
edited on: Jul 5, 2015, 01:09
Will check against the PCB.

This entire family of Konami boards do seem to stress out monitors - ghosting and inability to get the entire picture on the screen is common so it would not surprise me if they're all 320x224. Borders in later games are probably to get round the problem.

Edit - yeah confirmed, several visible pixels either side are definitely missing.

User avatar
No.11830
system11
(Senior Tester)
Jul 5, 2015, 02:30
https://github.com/mamedev/mame/pull/237
User avatar
No.11834
haynor666
(Tester)
Jul 5, 2015, 09:54
Care to take MT05593 as well ?
User avatar
No.11836
system11
(Senior Tester)
Jul 5, 2015, 11:07
I posted a comment in there - need some extra screenshots taking from the PCB since plugging the same values into that one doesn't get quite the right end result (maybe).